###############################################################################
# DonationPage.pm                                                             #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.6.0                                                  #
# Packaged:       July 17, 2014                                               #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2010 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
###############################################################################

$donationpagepmver = 'YaBB 2.6.0 $Revision: 0.1 $';
if ($action eq 'detailedversion') { return 1; }

if (-e("$vardir/DonationPage.txt")) { require "$vardir/DonationPage.txt"; }

if (!$en_donationpage || ($iamguest && $en_donationpage != 2)) { fatal_error('not_allowed'); }

LoadLanguage('DonationPage');

sub Donate {

    FromHTML($donation_content);
    ToChars($donation_content);

    if ($iamguest) {
        $donator_name = qq~$donate_txt{'15'}~;
        $donator =qq~$donate_txt{'15'}~;
    } else {
        $donator_name = qq~$link{$username}~;
        $donator = qq~${$uid.$username}{'realname'}~;
    }

    if    ($donation_currency eq AUD || $donation_currency eq USD || $donation_currency eq CAD || $donation_currency eq HKD || $donation_currency eq MXN || $donation_currency eq NZD || $donation_currency eq SGD) { $c_sign = "&#36;" }
    elsif ($donation_currency eq BRL) { $c_sign = "R&#36;" }
    elsif ($donation_currency eq EUR) { $c_sign = "&#8364;" }
    elsif ($donation_currency eq GBP) { $c_sign = "&#163;" }
    elsif ($donation_currency eq JPY) { $c_sign = "&#165;" }
    elsif ($donation_currency eq MYR) { $c_sign = "RM" }
    elsif ($donation_currency eq PHP) { $c_sign = "P" }
    elsif ($donation_currency eq THB) { $c_sign = "&#3647;" }
    elsif ($donation_currency eq TWD) { $c_sign = "NT&#36;" }

    $yymain .= qq~
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" name="donate" onsubmit="return CheckDonationField();">
    <table width="100%" align="center" border="0" cellpadding="4" cellspacing="1" class="bordercolor">
        <tr>
            <th class="catbg"><img src="$yyhtml_root/ModImages/donate.gif" alt="" /> $donate_txt{'01'} $mbname</th>
        </tr><tr>
            <td class="windowbg vtop">$donation_content</td>
        </tr><tr>
            <td class="windowbg2 center" style="font-weight: bold;">
                <div>
                    <label>$donate_txt{'02'}:</label> $donator_name
                </div>
                <div>
                    <label for="donation_amount">$donate_txt{'03'}:</label>
                    $c_sign<input type="text" name="amount" id="donation_amount" size="10" value="$donation_amount" onfocus="txtInFields(this, '$donation_amount');" onblur="txtInFields(this, '$donation_amount')" /> ($donation_currency)
                </div>
            </td>
        </tr><tr>
            <td class="catbg center" height="50" style="height:50px">
                <input type="hidden" name="cmd" value="_donations" />
                <input type="hidden" name="business" value="$donation_id" />
                <input type="hidden" name="item_name" value="$mbname - $donate_txt{'05'} $donator" />
                <input type="hidden" name="return" value="$scripturl?action=donationreceived" />
                <input type="hidden" name="cancel_return" value="$scripturl" />
                <input type="hidden" name="currency_code" value="$donation_currency" />
                <input type="hidden" name="cpp_headerback_color" value="$donation_header_color" />
                <input type="hidden" name="cpp_headerborder_color" value="$donation_border_color" />
                <input type="hidden" name="cpp_payflow_color" value="$donation_bg_color" />
                <input type="submit" value="$donate_txt{'06'}" class="button" />
            </td>
        </tr>
    </table>
</form>
<script type="text/javascript">
function CheckDonationField() {
if (document.donate.donation_amount.value == '') {
    alert("$donate_txt{'07'}");
    document.donate.donation_amount.focus();
    return false;
}
return true;
}
</script>~;

    $yytitle = "$donate_txt{'01'} $mbname";
    $yynavigation = qq~&rsaquo; $donate_txt{'04'}~;
    template();
    return;
}

sub DonationReceived {

    $yymain .= qq~
    <table width="100%" align="center" border="0" cellpadding="4" cellspacing="1" class="bordercolor">
        <tr>
            <th class="catbg"><img src="$yyhtml_root/ModImages/donate.gif" alt="" />$donate_txt{'08'}</th>
        </tr><tr>
            <td class="windowbg center">
                <table border="0" width="400" cellspacing="1" cellpadding="3" align="center" class="bordercolor">
                    <tr>
                        <td class="titlebg center">
                            $donate_txt{'09'} $mbname!
                        </td>
                    </tr><tr>
                        <td class="windowbg2">
                            $donate_txt{'10'}<br /><br />
                            $donate_txt{'11'} $mbname $donate_txt{'12'}
                        </td>
                    </tr><tr>
                        <td class="windowbg center">
                            &bull; <a href="$scripturl">$donate_txt{'13'}</a>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
</table>~;

    $yytitle = "$donate_txt{'08'}";
    $yynavigation = qq~&rsaquo; $donate_txt{'14'}~;
    template();
}

1;